%define module mpmath

Name: python-mpmath
Version: 0.17
Release: %mkrel 4
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
License: BSD
URL: https://code.google.com/p/mpmath/
Source0: https://mpmath.googlecode.com/files/%{module}-%{version}.tar.gz
# Patch to fix build, already reported and fixed upstream
Patch0: python-mpmath-0.17-build.patch
# Pull patch from upstream
Patch1: python-mpmath-fix-py3.2-hash-tests.patch
BuildArch: noarch
BuildRequires: python-setuptools
Suggests: python-gmpy
Suggests: python-matplotlib

%description
A Python library for arbitrary-precision floating-point arithmetic.

%package -n python3-%{module}
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
BuildRequires: python3-setuptools
Suggests: python3-matplotlib

%description -n python3-%{module}
A Python library for arbitrary-precision floating-point arithmetic.

%prep
%setup -qn %{module}-%{version}
%patch0 -p1 -b .buildfix
%patch1 -p1 -b .hashfix
# Convert line encodings
for doc in LICENSE CHANGES PKG-INFO README mpmath/tests/runtests.py; do
 sed "s|\r||g" $doc > $doc.new && \
 touch -r $doc $doc.new && \
 mv $doc.new $doc
done

# Get rid of unnecessary shebangs
for lib in mpmath/elliptic.py mpmath/tests/runtests.py; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new && \
 touch -r $lib $lib.new && \
 mv $lib.new $lib
done
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build 
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build 
# Get rid of python 3 version that fails to byte-compile
rm %{buildroot}%{python_sitelib}/mpmath/libmp/exec_py3.py*

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
rm %{buildroot}%{python3_sitelib}/mpmath/libmp/exec_py2.py*
popd

%check
export PYTHONPATH=`pwd`/build/lib
cd build/lib/mpmath/tests/
%{__python} runtests.py
pushd %{py3dir}
export PYTHONPATH=`pwd`/build/lib
cd build/lib/mpmath/tests/
%{__python3} runtests.py
popd

%files
%doc README CHANGES
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}-%{version}-*.egg-info

%files -n python3-%{module}
%doc README CHANGES
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.17-4.mga4
+ Revision: 543714
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.17-3.mga4
+ Revision: 498944
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 philippem <philippem> 0.17-2.mga4
+ Revision: 477754
- add Python 3

* Tue Feb 12 2013 fwang <fwang> 0.17-1.mga3
+ Revision: 397969
- add suggests per upstream
- imported package python-mpmath

